Module | Shellwords
In: | lib/standard/facets/shellwords.rb

### Methods

alt_escape dos_escape escape run

### Public Instance methods

alt_escape(cmdline)

Escape special characters used in most unix shells to use it, eg. with system().

This differs from Ruby‘s escape in that it does not escape shell variables, e.g. $0.

dos_escape(cmdline)

Escape special character used in DOS-based shells.

TODO: How to integrate with rest of system?

1. Use platform condition?
2. Use separate dos_xxx methods?
3. Put in separate PowerShellwords module?

CREDIT: Lavir the Whiolet

escape(cmdline)
run(argv, opts)

The coolest little arguments parser in all of Rubyland.

CREDIT: Michel Martens

[Validate]